# $Revision: 1.5 $, $Date: 2004/05/07 00:32:05 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Test
%define pnam	Signature
Summary:	Test::Signature - automatic signature testing
Summary(pl):	Test::Signature - automatyczne sprawdzanie sygnatur
Name:		perl-Test-Signature
Version:	1.06
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	23581fec6af0fb9027f90b8a0565d71a
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Signature allows you to verify that a distribution has not
been tampered with. "Test::Signature" lets that be tested as part of
the distribution's test suite.

%description -l pl
Module::Signature pozwala sprawdzi, czy dystrybucyjna paczka nie
zostaa naruszona. Test::Signature pozwala na sprawdzenie tego jako
cz zestawu testw dystrybucyjnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog Changes README
%{perl_vendorlib}/Test/Signature.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Signature.spec,v $
Revision 1.5  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.4  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.3  2004/04/13 11:16:49  ankry
- caps cosmetics

Revision 1.2  2004/04/12 02:34:07  qboosh
- pl, doc, noarch

Revision 1.1  2004/04/11 17:45:07  agaran
new spec
